Problems using ICONSTRAINTCONTAINER | developer.brewmp.com Problems using ICONSTRAINTCONTAINER | developer.brewmp.com

Developer

Problems using ICONSTRAINTCONTAINER

Hi,
I am facing a problem using UIWidgets.
Previously I was able to build my application and port it to device successfully. The widgets and forms version was 1.4.

Now that I have upgraded the UIWidget version to 2.0 and changed the forms.mod, widgets.mod, forms.mif and widgets.mif and running a similar sample application it returns the error code 3 (i.e., ECLASSNOTSUPPORT) in the following statement:

result = ISHELL_CreateInstance(pMe->pIShell, AEECLSID_CONSTRAINTCONTAINER, (void**)&pIConstraintContainer);

It works fine on emulator.
Any clues if I am missing any files.

The class IDs are different between 1.4 and 2.0. Your device probably has widgets 1.x installed on it.
-Erik

The class IDs are different between 1.4 and 2.0. Your device probably has widgets 1.x installed on it.
-Erik

ebrowne wrote:The class IDs are different between 1.4 and 2.0. Your device probably has widgets 1.x installed on it.
-Erik
Hi Erik,
Thanks for your reply.
Can you tell me the resolution. I should change the forms.mod/ widgets.mod or should I change my development environment.
Or else should I change the class Id( but to what).

ebrowne wrote:The class IDs are different between 1.4 and 2.0. Your device probably has widgets 1.x installed on it.
-Erik
Hi Erik,
Thanks for your reply.
Can you tell me the resolution. I should change the forms.mod/ widgets.mod or should I change my development environment.
Or else should I change the class Id( but to what).

Hi,
replace your old foms and widget extension from the device and install the newer one 2.0. and please do your post in right forum topic BREW UI Widget and Forms.

Hi,
replace your old foms and widget extension from the device and install the newer one 2.0. and please do your post in right forum topic BREW UI Widget and Forms.